Package tigase.stats.db

# Class CounterDataLoggerRepository

java.lang.Object
tigase.stats.db.CounterDataLoggerRepository

All Implemented Interfaces:
  `DataSourceAware<DataRepository>`, `RepositoryVersionAware`, `CounterDataLoggerRepositoryIfc<DataRepository>`

public class CounterDataLoggerRepository extends Object implements CounterDataLoggerRepositoryIfc<DataRepository>, RepositoryVersionAware

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.util.RepositoryVersionAware

  `RepositoryVersionAware.SchemaVersion`

- ## Field Summary

  ### Fields inherited from interface tigase.stats.db.CounterDataLoggerRepositoryIfc

  `BOSH_CONNS_COL, C2S_CONNS_COL, C2S_PACKETS_COL, CPU_USAGE_COL, EXT_PACKETS_COL, HOSTNAME_COL, IQS_COL, MEM_USAGE_COL, MESSAGES_COL, MUC_PACKETS_COL, PRESENCES_COL, PUBSUB_PACKETS_COL, REGISTERED_COL, S2S_CONNS_COL, S2S_PACKETS_COL, SM_CONNECTIONS_COL, SM_PACKETS_COL, SM_SESSIONS_COL, STATS_TABLE, UPTIME_COL, VHOSTS_COL, WS2S_CONNS_COL, WS2S_PACKETS_COL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CounterDataLoggerRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStatsLogEntry(String hostname, float cpu_usage, float mem_usage, long uptime, int vhosts, long sm_packets, long muc_packets, long pubsub_packets, long c2s_packets, long ws2s_packets, long s2s_packets, long ext_packets, long presences, long messages, long iqs, long registered, int c2s_conns, int ws2s_conns, int bosh_conns, int s2s_conns, int sm_sessions, int sm_connections)`
  `void`
  `setDataSource(DataRepository repository)`
  Method called to provide class with instance of a data source.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.util.RepositoryVersionAware

  `getVersion, updateSchema`

- ## Constructor Details

  - ### CounterDataLoggerRepository

    public CounterDataLoggerRepository()

- ## Method Details

  - ### addStatsLogEntry

    public void addStatsLogEntry(String hostname, float cpu_usage, float mem_usage, long uptime, int vhosts, long sm_packets, long muc_packets, long pubsub_packets, long c2s_packets, long ws2s_packets, long s2s_packets, long ext_packets, long presences, long messages, long iqs, long registered, int c2s_conns, int ws2s_conns, int bosh_conns, int s2s_conns, int sm_sessions, int sm_connections)
    Specified by:
      `addStatsLogEntry` in interface `CounterDataLoggerRepositoryIfc<DataRepository>`

  - ### setDataSource

    public void setDataSource(DataRepository repository)
    Description copied from interface: `DataSourceAware`
    Method called to provide class with instance of a data source.
    Specified by:
      `setDataSource` in interface `DataSourceAware<DataRepository>`